## org.apache.batik.bridge
Class SVGAnimationEngine.AnimatableAngleValueFactory

    java.lang.Object
      org.apache.batik.bridge.SVGAnimationEngine.CSSValueFactory
          org.apache.batik.bridge.SVGAnimationEngine.AnimatableAngleValueFactory

All Implemented Interfaces:
  SVGAnimationEngine.Factory

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimatableAngleValueFactory

extends SVGAnimationEngine.CSSValueFactory

Factory class for `AnimatableAngleValue`s.

Constructor Summary
`protected` `SVGAnimationEngine.AnimatableAngleValueFactory()`

Method Summary
`protected AnimatableValue` `createAnimatableValue(AnimationTarget target, java.lang.String pn, Value v)` Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.

Methods inherited from class org.apache.batik.bridge.SVGAnimationEngine.CSSValueFactory
`computeValue, createCSSValue, createValue, createValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGAnimationEngine.AnimatableAngleValueFactory

    protected SVGAnimationEngine.AnimatableAngleValueFactory()

Method Detail

### createAnimatableValue

    protected AnimatableValue createAnimatableValue(AnimationTarget target,
                                                    java.lang.String pn,
                                                    Value v)

  Description copied from class: `SVGAnimationEngine.CSSValueFactory`
  Creates a new AnimatableValue from a CSS `Value`, after computation and inheritance.

  Specified by:
    `createAnimatableValue` in class `SVGAnimationEngine.CSSValueFactory`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.